KYC documents are collected to confirm the details of customer. This API is for updating kyc status of a customer before and after verification. We must pass entity id, doc type, doc number, kyc type, reg date, reason desc and update kyc address in request. If the request has valid details, we will get a success response.
https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status
Parameter Type Value Description Value Like checksum required text $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required) 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hpstoken required text Will be provided by airpay 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
Parameter Type Value Description Value Like entity_id required text (1-50) The Customer Id registered with the system 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hpsdoc_type required text Customer’s Id Type PAN,passportdoc_number required text Customer’s Id type’s unique number BPDPV1436Ekyc_type required text Kyc Type to convert MIN,FULL,PARTIALreg_date required text Id Type registered Date. Format(yyyy-mm-dd 2018-10-25reason_desc required text Reason to convert Kyc Type Kyc Details Updationupdate_kyc_address optional text New address Address
Parameter Type Value Description Value Like status required numeric airpay status 400,200message required text airpay status message Success,Faildata required json []
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/update-kyc-status' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--data-urlencode 'doc_type=PAN' \
--data-urlencode 'doc_number=BPDPV1436E' \
--data-urlencode 'kyc_type=MIN' \
--data-urlencode 'reg_date=2018-10-25' \
--data-urlencode 'reason_desc=Kyc Details Updation' \
--data-urlencode 'update_kyc_address=Address'